Bug 979264 - ValueError: cannot initialize a disk that has partitions [NEEDINFO]
ValueError: cannot initialize a disk that has partitions
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
x86_64 Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
abrt_hash:546b3931b3e1eb2b2718a73f494...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 02:14 EDT by Xiaowei Li
Modified: 2015-01-26 19:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-10 15:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sbueno: needinfo? (xiaoli)


Attachments (Terms of Use)
File: anaconda-tb (384.37 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: anaconda.log (5.04 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: environ (647 bytes, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: ks.cfg (13.13 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: lsblk_output (3.95 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: nmcli_dev_list (11.24 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: os_info (397 bytes, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: program.log (55.47 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: storage.log (136.81 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: syslog (139.98 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: ifcfg.log (1.66 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details
File: packaging.log (14.83 KB, text/plain)
2013-06-28 02:14 EDT, Xiaowei Li
no flags Details

  None (edit)
Description Xiaowei Li 2013-06-28 02:14:18 EDT
Description of problem:


Version-Release number of selected component:
anaconda-19.30.7-1

The following was filed automatically by anaconda:
anaconda 19.30.7-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 810, in initializeDisk
    raise ValueError("cannot initialize a disk that has partitions")
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 785, in clearPartitions
    self.initializeDisk(disk)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 488, in execute
    storage.clearPartitions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1639, in doKickstartStorage
    ksdata.clearpart.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 253, in execute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/hubs/summary.py", line 49, in setup
    spoke.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/__init__.py", line 165, in setup
    obj.setup(self.ENVIRONMENT)
  File "/sbin/anaconda", line 1086, in <module>
    anaconda._intf.setup(ksdata)
ValueError: cannot initialize a disk that has partitions

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=/images/storageqe-17.rhts.eng.bos.redhat.com/initrd console=ttyS1,115200 ks=http://beaker.engineering.redhat.com/kickstart/354832 ksdevice=E8:39:35:2D:2C:04 mpath nostorage serial netboot_method=pxe BOOT_IMAGE=/images/storageqe-17.rhts.eng.bos.redhat.com/kernel BOOTIF=01-e8-39-35-2d-2c-04 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.10.0-0.rc5.61.el7.x86_64
product:        Red Hat Enterprise Linux
release:        Red Hat Enterprise Linux Client release 7.0 Beta (Maipo)
type:           anaconda
version:        7.0
Comment 1 Xiaowei Li 2013-06-28 02:14:22 EDT
Created attachment 766415 [details]
File: anaconda-tb
Comment 2 Xiaowei Li 2013-06-28 02:14:25 EDT
Created attachment 766416 [details]
File: anaconda.log
Comment 3 Xiaowei Li 2013-06-28 02:14:27 EDT
Created attachment 766417 [details]
File: environ
Comment 4 Xiaowei Li 2013-06-28 02:14:30 EDT
Created attachment 766418 [details]
File: ks.cfg
Comment 5 Xiaowei Li 2013-06-28 02:14:33 EDT
Created attachment 766419 [details]
File: lsblk_output
Comment 6 Xiaowei Li 2013-06-28 02:14:36 EDT
Created attachment 766420 [details]
File: nmcli_dev_list
Comment 7 Xiaowei Li 2013-06-28 02:14:38 EDT
Created attachment 766421 [details]
File: os_info
Comment 8 Xiaowei Li 2013-06-28 02:14:41 EDT
Created attachment 766422 [details]
File: program.log
Comment 9 Xiaowei Li 2013-06-28 02:14:44 EDT
Created attachment 766423 [details]
File: storage.log
Comment 10 Xiaowei Li 2013-06-28 02:14:47 EDT
Created attachment 766424 [details]
File: syslog
Comment 11 Xiaowei Li 2013-06-28 02:14:50 EDT
Created attachment 766425 [details]
File: ifcfg.log
Comment 12 Xiaowei Li 2013-06-28 02:14:52 EDT
Created attachment 766426 [details]
File: packaging.log
Comment 13 Xiaowei Li 2013-06-28 02:17:33 EDT
(Pdb) l
809             if disk.partitioned and disk.format.partitions:
810  ->             raise ValueError("cannot initialize a disk that has partitions")
(Pdb) p disk.partitioned
True
(Pdb) p disk.format.partitions
[<parted.partition.Partition object at 0x7f58524b3190>, <parted.partition.Partition object at 0x7f58524b3550>]
Comment 15 Samantha N. Bueno 2013-07-01 23:51:21 EDT
Can you provide us with the steps you took to produce this error?
Comment 16 David Cantrell 2014-01-10 15:16:16 EST
This one has been in needinfo for six months with no response.  Closing this bug.  If the reporter can provide the information requested in comment #15, feel free to reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.